> ## Documentation Index
> Fetch the complete documentation index at: https://docs.teceo.co/llms.txt
> Use this file to discover all available pages before exploring further.

# product details by refId



## OpenAPI

````yaml https://integration.teceo.co/aos get /v1/products/{refId}
openapi: 3.0.0
info:
  title: teceo brand integrator API
  description: integrate your brand with teceo
  version: '1.0'
  contact: {}
servers:
  - url: /
security: []
tags: []
paths:
  /v1/products/{refId}:
    get:
      tags:
        - 'Products:'
      summary: product details by refId
      operationId: ProductsController_findOneByRef_v1
      parameters:
        - name: refId
          required: true
          in: path
          schema:
            type: string
      responses:
        '200':
          description: product details by refId
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ProductDTO'
        '400':
          description: >-
            response status code indicates that the server cannot or will not
            process the request due to something that is perceived to be a
            client error
        '403':
          description: >-
            client error status response code indicates that the server
            understood the request but refuses to authorize it
        '404':
          description: >-
            client error response code indicates that the server can't find the
            requested resource
      security:
        - ApiKey: []
components:
  schemas:
    ProductDTO:
      type: object
      properties:
        id:
          type: string
        createdAt:
          type: string
        updatedAt:
          type: string
        code:
          type: string
        referenceCode:
          type: string
        ncmCode:
          type: string
          nullable: true
        name:
          type: string
        active:
          type: boolean
        hasManyColors:
          type: boolean
        hasManySizes:
          type: boolean
        description:
          type: string
          nullable: true
        resume:
          type: string
          nullable: true
        availableForPreOrder:
          type: boolean
        preOrderMinimumProduct:
          type: number
          nullable: true
        preOrderMinimumItem:
          type: number
          nullable: true
        integrationCode:
          type: string
          nullable: true
        preOrderMultipleProduct:
          type: number
          nullable: true
        preOrderMultipleItem:
          type: number
          nullable: true
        readyForDeliveryMultipleProduct:
          type: number
          nullable: true
        readyForDeliveryMultipleItem:
          type: number
          nullable: true
        collection:
          $ref: '#/components/schemas/CollectionDTO'
        category:
          nullable: true
          type: object
          allOf:
            - $ref: '#/components/schemas/CategoryDTO'
        colors:
          type: array
          items:
            $ref: '#/components/schemas/ProductColorDTO'
      required:
        - id
        - createdAt
        - updatedAt
        - code
        - ncmCode
        - name
        - active
        - hasManyColors
        - hasManySizes
        - description
        - resume
        - availableForPreOrder
        - preOrderMinimumProduct
        - preOrderMinimumItem
        - integrationCode
        - preOrderMultipleProduct
        - preOrderMultipleItem
        - readyForDeliveryMultipleProduct
        - readyForDeliveryMultipleItem
        - collection
        - category
        - colors
    CollectionDTO:
      type: object
      properties:
        id:
          type: string
        createdAt:
          type: string
        updatedAt:
          type: string
        code:
          type: string
          description: collection code
        name:
          type: string
          description: collection name
        origin:
          type: string
          enum:
            - INTEGRATION
            - TECEO
          description: collection origin
      required:
        - id
        - createdAt
        - updatedAt
        - code
        - name
        - origin
    CategoryDTO:
      type: object
      properties:
        id:
          type: string
        createdAt:
          format: date-time
          type: string
        updatedAt:
          format: date-time
          type: string
        name:
          type: string
        code:
          type: string
        imageUrl:
          type: string
          nullable: true
        uniqueSequential:
          type: number
        classification:
          type: string
      required:
        - id
        - createdAt
        - updatedAt
        - name
        - code
        - imageUrl
        - uniqueSequential
        - classification
    ProductColorDTO:
      type: object
      properties:
        id:
          type: string
        createdAt:
          type: string
        updatedAt:
          type: string
        code:
          type: string
        name:
          type: string
        isImage:
          type: boolean
        unique:
          type: boolean
        active:
          type: boolean
        imageUrl:
          type: string
          nullable: true
        hexcode:
          type: string
          nullable: true
        productColorCode:
          type: string
        customized:
          type: boolean
        allowChangePreOrderGrid:
          type: string
        allowChangeImmediateGrid:
          type: string
        allowPackPartialApplyInPreOrder:
          type: boolean
        allowPackPartialApplyInImmediate:
          type: boolean
        color:
          $ref: '#/components/schemas/ColorDTO'
      required:
        - id
        - createdAt
        - updatedAt
        - code
        - name
        - isImage
        - unique
        - active
        - imageUrl
        - hexcode
        - productColorCode
        - customized
        - allowChangePreOrderGrid
        - allowChangeImmediateGrid
        - allowPackPartialApplyInPreOrder
        - allowPackPartialApplyInImmediate
        - color
    ColorDTO:
      type: object
      properties:
        id:
          type: string
        code:
          type: string
        name:
          type: string
        isImage:
          type: boolean
        unique:
          type: boolean
        active:
          type: boolean
        imageUrl:
          type: string
          nullable: true
        hexcode:
          type: string
          nullable: true
        integrationCode:
          type: string
          nullable: true
        createdAt:
          format: date-time
          type: string
        updatedAt:
          format: date-time
          type: string
      required:
        - id
        - code
        - name
        - isImage
        - unique
        - active
        - imageUrl
        - hexcode
        - integrationCode
        - createdAt
        - updatedAt
  securitySchemes:
    ApiKey:
      type: apiKey
      in: header
      name: x-api-key
      description: unique identifier access key. each brand has it own unique key.

````